• Neil Williams's avatar
    Python3 changes needed for lava-server · 8d835d78
    Neil Williams authored
    This moves lava-server to Python3 only. Packaging changes
    are available in the python3 packaging branch.
    Some helpers still need updates for Python3.
    Update ./ci-run to not run Python2 unit tests.
    Update validate_pipeline_devices XMLRPC API call to return
    a valid xmlrpc Binary object using Python3.
    Use Django from Stretch - stretch-backports is also
    supported.
    Update docs for removal of Python2 support and
    therfore Jessie.
    
    Change-Id: I60c4d5092aef4555cf01b193bda917f473906dd7
    8d835d78
__init__.py 42.1 KB